MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026990Open CASCADE[OCCT] OCCT:Codingpublic2015-12-14 09:282016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026990: Compiler warnings in LDOM_OSStream.hxx
DescriptionICC generates two warnings in LDOM_OSStream.hxx:

LDOM_OSStream.hxx:88: function "std::basic_streambuf<_Elem, _Traits>::xsputn(const _Elem *, std::streamsize={_Longlong={__int64}}) [with _Elem=char, _Traits=std::char_traits]" is hidden by "LDOM_SBuffer::xsputn" -- virtual function override intended?

LDOM_OSStream.hxx:92: exception specification for virtual function "LDOM_SBuffer::~LDOM_SBuffer" is incompatible with that of overridden function "std::basic_streambuf<_Elem, _Traits>::~basic_streambuf [with _Elem=char, _Traits=std::char_traits]"

It seems that xputn does not really override inherited virtual function as it was obviously intended. Furthermore, the whole class LDOM_OSStream looks incomplete and it is not clear if its use makes sense at all.
Steps To ReproduceBuild with CLang or ICC
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025076closedabv Community Hidden overloaded virtual functions 

-  Notes
(0049757)
git (administrator)
2016-01-09 18:57

Branch CR26990 has been created by abv.

SHA-1: 2e02ea313ef1a1dcd93dbb8228f0d8373dde7f4a


Detailed log of new commits:

Author: abv
Date: Sat Jan 9 14:41:41 2016 +0300

    0026990: Compiler warnings in LDOM_OSStream.hxx
    
    Signature of methods xsputn() and overflow() of the class LDOM_SBuffer is corrected to correspond to signature of overriden virtual methods of std::streambuf.
(0049758)
abv (manager)
2016-01-09 19:04

Fix pushed to branch CR26990, please review. Note that only the first ICC warning (the same as reported by CLang, see 0025076) is fixed; the second one is ICC-specific and I do not see how to address it correctly in platform-independent way.
(0049759)
git (administrator)
2016-01-09 20:12

Branch CR26990 has been updated forcibly by abv.

SHA-1: 25d308cbf5cf577d237e2a5c27e0bd2de41774dd
(0049761)
kgv (developer)
2016-01-09 20:16

Please test the patch.
(0053002)
git (administrator)
2016-04-17 13:54

Branch CR26990 has been deleted by kgv.

SHA-1: 25d308cbf5cf577d237e2a5c27e0bd2de41774dd

- Related Changesets
occt: master e071e038
Timestamp: 2016-01-09 11:41:41
Author: abv
Committer: abv
Details ] Diff ]
0026990: Compiler warnings in LDOM_OSStream.hxx

Signature of methods xsputn() and overflow() of the class LDOM_SBuffer is corrected to correspond to signature of overriden virtual methods of std::streambuf.
mod - src/LDOM/LDOM_OSStream.cxx Diff ] File ]
mod - src/LDOM/LDOM_OSStream.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-14 09:28 abv New Issue
2015-12-14 09:28 abv Assigned To => kgv
2016-01-08 10:18 abv Assigned To kgv => abv
2016-01-08 10:18 abv Status new => assigned
2016-01-09 14:41 abv Relationship added related to 0025076
2016-01-09 18:57 git Note Added: 0049757
2016-01-09 19:04 abv Note Added: 0049758
2016-01-09 19:05 abv Assigned To abv => kgv
2016-01-09 19:05 abv Status assigned => resolved
2016-01-09 19:05 abv Steps to Reproduce Updated View Revisions
2016-01-09 20:12 git Note Added: 0049759
2016-01-09 20:16 kgv Note Added: 0049761
2016-01-09 20:16 kgv Assigned To kgv => bugmaster
2016-01-09 20:16 kgv Status resolved => reviewed
2016-01-15 16:57 abv Changeset attached => occt master e071e038
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status reviewed => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:54 git Note Added: 0053002
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker